import request from "@/utils/request";

// 服务点位
export function getPointListByType(query) {
  //轨道交通警务站type=13,巡防警务站ype=04

  return request({
    url: "/api/yzt-data/point/list",
    method: "get",
    params: query,
  });
}




// 关键字搜索

export function getPointList(query) {
  return request({
    url: "/api/yzt-data/point/search",
    method: "get",
    params: query,
  });
}

//获取点位详情
export function getPointinfo(query) {
  return request({
    url: "/api/yzt-data/point/queryById",
    method: "get",
    params: query,
  });
}

// 字典

export function getdicts() {
  return request({
    url: "/api/sys/dict/getDictItems/business_classification",
    method: "get",
  });
}

//获取业务详情
export function getbusinessById(query) {
  return request({
    url: "/api/yzt-data/business/queryById",
    method: "get",
    params: query,
  });
}


// 获取单位树形结构
export function getEnterpriseTree(type=1,query){
  return request({
    url:`/api/yzt-data/point/getLevel${type}`,
    method: "get",
    params: query,
  })
}
